Debian Bug report logs - #660403
cdparanoia: FTFBS on kfreebsd-*

version graph

Package: src:cdparanoia; Maintainer for src:cdparanoia is Optical Media Tools Team <pkg-opt-media-team@lists.alioth.debian.org>;

Reported by: "Adam D. Barratt" <adam@adam-barratt.org.uk>

Date: Sat, 18 Feb 2012 20:45:02 UTC

Severity: serious

Tags: patch

Found in version cdparanoia/3.10.2+debian-10

Fixed in version cdparanoia/3.10.2+debian-10.1

Done: adam@adam-barratt.org.uk (Adam D. Barratt)

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Optical Media Tools Team <pkg-opt-media-team@lists.alioth.debian.org>:
Bug#660403; Package src:cdparanoia. (Sat, 18 Feb 2012 20:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
New Bug report received and forwarded. Copy sent to Optical Media Tools Team <pkg-opt-media-team@lists.alioth.debian.org>. (Sat, 18 Feb 2012 20:45:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: submit@bugs.debian.org
Subject: cdparanoia: FTFBS on kfreebsd-*
Date: Sat, 18 Feb 2012 20:43:24 +0000
Source: cdparanoia
Version: 3.10.2+debian-10
Severity: serious

Hi,

cdparanoia FTBFS on kfreebsd-{amd64,i386}, having been binNMUed for the
freebsd-libs transition.  From the kfreebsd-amd64 build log:

scsi_interface.c: In function 'handle_scsi_cmd':
scsi_interface.c:509:48: error: 'struct scsi_sense_data' has no member named 'flags'
scsi_interface.c:520:45: error: 'struct scsi_sense_data' has no member named 'add_sense_code'
scsi_interface.c:521:45: error: 'struct scsi_sense_data' has no member named 'add_sense_code_qual'
scsi_interface.c: In function 'scsi_read_map':
scsi_interface.c:1217:54: error: 'struct scsi_sense_data' has no member named 'flags'
scsi_interface.c:1218:54: error: 'struct scsi_sense_data' has no member named 'add_sense_code'
scsi_interface.c:1219:54: error: 'struct scsi_sense_data' has no member named 'add_sense_code_qual'
scsi_interface.c:1235:54: error: 'struct scsi_sense_data' has no member named 'flags'
scsi_interface.c:1236:54: error: 'struct scsi_sense_data' has no member named 'add_sense_code'
scsi_interface.c:1237:54: error: 'struct scsi_sense_data' has no member named 'add_sense_code_qual'
scsi_interface.c: In function 'scsi_init_drive':
scsi_interface.c:1935:29: warning: value computed is not used [-Wunused-value]
scsi_interface.c: At top level:
utils.h:141:13: warning: 'idperror' defined but not used [-Wunused-function]
utils.h:186:13: warning: 'idmessage' defined but not used [-Wunused-function]
scsi_interface.c:20:12: warning: 'timed_ioctl' defined but not used [-Wunused-function]
scsi_interface.c:145:12: warning: 'check_sbp_error' defined but not used [-Wunused-function]
scsi_interface.c:541:12: warning: 'test_unit_ready' defined but not used [-Wunused-function]
make[3]: *** [scsi_interface.o] Error 1
make[3]: Leaving directory `/build/buildd-cdparanoia_3.10.2+debian-10+b1-kfreebsd-amd64-flG61I/cdparanoia-3.10.2+debian/interface'
make[2]: *** [lib] Error 2
make[2]: Leaving directory `/build/buildd-cdparanoia_3.10.2+debian-10+b1-kfreebsd-amd64-flG61I/cdparanoia-3.10.2+debian/interface'
make[1]: *** [all] Error 2
make[1]: Leaving directory `/build/buildd-cdparanoia_3.10.2+debian-10+b1-kfreebsd-amd64-flG61I/cdparanoia-3.10.2+debian'
make: *** [build-stamp] Error 2
dpkg-buildpackage: error: debian/rules build gave error exit status 2

Full logs available via
https://buildd.debian.org/status/package.php?p=cdparanoia

Regards,

Adam





Added indication that bug 660403 blocks 660022 Request was from Adam D. Barratt <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Sat, 18 Feb 2012 20:54:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Optical Media Tools Team <pkg-opt-media-team@lists.alioth.debian.org>:
Bug#660403; Package src:cdparanoia. (Sun, 19 Feb 2012 16:48:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Optical Media Tools Team <pkg-opt-media-team@lists.alioth.debian.org>. (Sun, 19 Feb 2012 16:48:11 GMT) Full text and rfc822 format available.

Message #12 received at 660403@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: 660403@bugs.debian.org
Subject: cdparanoia patches
Date: Sun, 19 Feb 2012 16:46:39 +0000
Hi,

Upstream has patches that update cdparanoia to recent CAM API.  See
[1] and also their CVS log [2].

However, these patches are targetted at an earlier version of
cdparanoia and can't be used as-is.  Furthermore, the current
cdparanoia package is heavily patched to work on GNU/kFreeBSD, it
diverges significantly from upstream (FreeBSD ports, that is) and is
hard to update.

For me, this opens the question on whether the current state of
GNU/kFreeBSD support in cdparanoia is maintainable.  If nobody steps
in and provides a fix for freebsd-libs transition in a timely manner,
my advice is to remove kfreebsd-any from Architecture list until
cdparanoia is in a better shape to support GNU/kFreeBSD.

[1] http://www.freebsd.org/cgi/query-pr.cgi?pr=161760
[2] http://www.freebsd.org/cgi/cvsweb.cgi/ports/audio/cdparanoia/files/patch-interface-scsi_interface.c

-- 
Robert Millan




Information forwarded to debian-bugs-dist@lists.debian.org, Optical Media Tools Team <pkg-opt-media-team@lists.alioth.debian.org>:
Bug#660403; Package src:cdparanoia. (Sat, 25 Feb 2012 15:45:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Optical Media Tools Team <pkg-opt-media-team@lists.alioth.debian.org>. (Sat, 25 Feb 2012 15:45:11 GMT) Full text and rfc822 format available.

Message #17 received at 660403@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>
Cc: 660022@bugs.debian.org, debian-bsd@lists.debian.org, 660403@bugs.debian.org
Subject: cdparanoia (Re: transition status)
Date: Sat, 25 Feb 2012 15:44:09 +0000
El 25 de febrer de 2012 13:46, Adam D. Barratt
<adam@adam-barratt.org.uk> ha escrit:
> On Sat, 2012-02-25 at 12:20 +0000, Robert Millan wrote:
>> 660403: cdparanoia: FTFBS on kfreebsd-*
>> -> Unless there's further activity I recommend removing of kfreebsd-*
>> binaries from testing. See
>> http://bugs.debian.org./cgi-bin/bugreport.cgi?bug=660403#12
>
> That doesn't work.  The choices would be removing the kfreebsd-*
> binaries from unstable, and letting that propagate, or removing the
> entire package from testing.

Is an upload needed in first case?

-- 
Robert Millan




Information forwarded to debian-bugs-dist@lists.debian.org, Optical Media Tools Team <pkg-opt-media-team@lists.alioth.debian.org>:
Bug#660403; Package src:cdparanoia. (Sat, 25 Feb 2012 16:21:16 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Optical Media Tools Team <pkg-opt-media-team@lists.alioth.debian.org>. (Sat, 25 Feb 2012 16:21:16 GMT) Full text and rfc822 format available.

Message #22 received at 660403@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Robert Millan <rmh@debian.org>
Cc: 660022@bugs.debian.org, debian-bsd@lists.debian.org, 660403@bugs.debian.org
Subject: Re: cdparanoia (Re: transition status)
Date: Sat, 25 Feb 2012 16:19:56 +0000
On Sat, 2012-02-25 at 15:44 +0000, Robert Millan wrote:
> El 25 de febrer de 2012 13:46, Adam D. Barratt
> <adam@adam-barratt.org.uk> ha escrit:
> > On Sat, 2012-02-25 at 12:20 +0000, Robert Millan wrote:
> >> 660403: cdparanoia: FTFBS on kfreebsd-*
> >> -> Unless there's further activity I recommend removing of kfreebsd-*
> >> binaries from testing. See
> >> http://bugs.debian.org./cgi-bin/bugreport.cgi?bug=660403#12
> >
> > That doesn't work.  The choices would be removing the kfreebsd-*
> > binaries from unstable, and letting that propagate, or removing the
> > entire package from testing.
> 
> Is an upload needed in first case?

That would depend on whether you could convince ftp-master to remove
them as-is.  However, the build failure doesn't look like it's unfixable
(or incredibly hard to fix), so I imagine they'd suggest fixing the bug
instead; it's certainly what I'd suggest.

Regards,

Adam





Information forwarded to debian-bugs-dist@lists.debian.org, Optical Media Tools Team <pkg-opt-media-team@lists.alioth.debian.org>:
Bug#660403; Package src:cdparanoia. (Sat, 25 Feb 2012 16:36:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Optical Media Tools Team <pkg-opt-media-team@lists.alioth.debian.org>. (Sat, 25 Feb 2012 16:36:05 GMT) Full text and rfc822 format available.

Message #27 received at 660403@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Robert Millan <rmh@debian.org>
Cc: 660022@bugs.debian.org, debian-bsd@lists.debian.org, 660403@bugs.debian.org
Subject: Re: cdparanoia (Re: transition status)
Date: Sat, 25 Feb 2012 16:32:06 +0000
On Sat, 2012-02-25 at 16:19 +0000, Adam D. Barratt wrote:
> However, the build failure doesn't look like it's unfixable
> (or incredibly hard to fix), so I imagine they'd suggest fixing the bug
> instead; it's certainly what I'd suggest.

Specifically, all of the failures appear to be inside code introduced by
05-kfreebsd.patch, so presumably it "just" needs porting from the old
libcam API to the new one (which really should have been done *before*
the new API was uploaded to unstable).

Is there a direct replacement in the new API for (cdrom_drive
*)->private_data->ccb->csio.sense_data ?

Regards,

Adam





Information forwarded to debian-bugs-dist@lists.debian.org, Optical Media Tools Team <pkg-opt-media-team@lists.alioth.debian.org>:
Bug#660403; Package src:cdparanoia. (Sat, 25 Feb 2012 17:57:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Optical Media Tools Team <pkg-opt-media-team@lists.alioth.debian.org>. (Sat, 25 Feb 2012 17:57:05 GMT) Full text and rfc822 format available.

Message #32 received at 660403@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Robert Millan <rmh@debian.org>
Cc: 660022@bugs.debian.org, debian-bsd@lists.debian.org, 660403@bugs.debian.org
Subject: Re: cdparanoia (Re: transition status)
Date: Sat, 25 Feb 2012 17:51:51 +0000
[Message part 1 (text/plain, inline)]
tag 660403 + patch
thanks

On Sat, 2012-02-25 at 16:19 +0000, Adam D. Barratt wrote:
> However, the build failure doesn't look like it's unfixable
> (or incredibly hard to fix), so I imagine they'd suggest fixing the bug
> instead; it's certainly what I'd suggest.

In fact, it wasn't particularly hard at all, especially given the k3b
patch to use for inspiration.  The attached diff makes the package build
again, although I don't have a suitable kfreebsd-* system available
right now to test it on.

Testing and comments welcome.

Regards,

Adam
[cdparanoia_660403.diff (text/x-patch, attachment)]

Added tag(s) patch. Request was from "Adam D. Barratt" <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Sat, 25 Feb 2012 17:57:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Optical Media Tools Team <pkg-opt-media-team@lists.alioth.debian.org>:
Bug#660403; Package src:cdparanoia. (Sun, 26 Feb 2012 11:09:19 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Optical Media Tools Team <pkg-opt-media-team@lists.alioth.debian.org>. (Sun, 26 Feb 2012 11:09:28 GMT) Full text and rfc822 format available.

Message #39 received at 660403@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>
Cc: 660022@bugs.debian.org, debian-bsd@lists.debian.org, 660403@bugs.debian.org
Subject: Re: cdparanoia (Re: transition status)
Date: Sun, 26 Feb 2012 11:06:18 +0000
El 25 de febrer de 2012 17:51, Adam D. Barratt
<adam@adam-barratt.org.uk> ha escrit:
> In fact, it wasn't particularly hard at all, especially given the k3b
> patch to use for inspiration.  The attached diff makes the package build
> again, although I don't have a suitable kfreebsd-* system available
> right now to test it on.
>
> Testing and comments welcome.

I still think the current situation with cdparanoia is unsustainable
however.  I don't have time to invest on this, but this chunk of code
should really be moved to upstream.  It changes things a lot when you
have FreeBSD Ports contributing patches in this kind of situations
(c.f. k3b).

Anyway, thanks for supplying a fix.

-- 
Robert Millan




Information forwarded to debian-bugs-dist@lists.debian.org, Optical Media Tools Team <pkg-opt-media-team@lists.alioth.debian.org>:
Bug#660403; Package src:cdparanoia. (Mon, 27 Feb 2012 13:09:31 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Optical Media Tools Team <pkg-opt-media-team@lists.alioth.debian.org>. (Mon, 27 Feb 2012 13:09:35 GMT) Full text and rfc822 format available.

Message #44 received at 660403@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Robert Millan <rmh@debian.org>, "Adam D. Barratt" <adam@adam-barratt.org.uk>, <660022@bugs.debian.org>, <debian-bsd@lists.debian.org>, <660403@bugs.debian.org>
Subject: Re: [Pkg-opt-media-team] Bug#660403: cdparanoia (Re: transition status)
Date: Mon, 27 Feb 2012 13:07:30 +0000
On 25.02.2012 16:03, Rogério Brito wrote:
> Hi there.
>
> On Feb 25 2012, Robert Millan wrote:
>> El 25 de febrer de 2012 13:46, Adam D. Barratt
>> <adam@adam-barratt.org.uk> ha escrit:
>> > On Sat, 2012-02-25 at 12:20 +0000, Robert Millan wrote:
>> >> 660403: cdparanoia: FTFBS on kfreebsd-*
>> >> -> Unless there's further activity I recommend removing of 
>> kfreebsd-*
>> >> binaries from testing. See
>> >> http://bugs.debian.org./cgi-bin/bugreport.cgi?bug=660403#12
>> >
>> > That doesn't work. The choices would be removing the kfreebsd-*
>> > binaries from unstable, and letting that propagate, or removing 
>> the
>> > entire package from testing.
>>
>> Is an upload needed in first case?
>
> Is there anything that I can do helping with this?

Well, I sent a patch... :)  I must admit to not being able to check 
whether it works, but it at least makes the package build on 
kfreebsd-amd64 again on the porter-box.

Regards,

Adam




Information forwarded to debian-bugs-dist@lists.debian.org, Optical Media Tools Team <pkg-opt-media-team@lists.alioth.debian.org>:
Bug#660403; Package src:cdparanoia. (Mon, 27 Feb 2012 14:15:34 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rogério Brito <rbrito@ime.usp.br>:
Extra info received and forwarded to list. Copy sent to Optical Media Tools Team <pkg-opt-media-team@lists.alioth.debian.org>. (Mon, 27 Feb 2012 14:15:35 GMT) Full text and rfc822 format available.

Message #49 received at 660403@bugs.debian.org (full text, mbox):

From: Rogério Brito <rbrito@ime.usp.br>
To: Robert Millan <rmh@debian.org>
Cc: "Adam D. Barratt" <adam@adam-barratt.org.uk>, 660022@bugs.debian.org, debian-bsd@lists.debian.org, 660403@bugs.debian.org
Subject: Re: [Pkg-opt-media-team] Bug#660403: cdparanoia (Re: transition status)
Date: Sat, 25 Feb 2012 14:03:35 -0200
Hi there.

On Feb 25 2012, Robert Millan wrote:
> El 25 de febrer de 2012 13:46, Adam D. Barratt
> <adam@adam-barratt.org.uk> ha escrit:
> > On Sat, 2012-02-25 at 12:20 +0000, Robert Millan wrote:
> >> 660403: cdparanoia: FTFBS on kfreebsd-*
> >> -> Unless there's further activity I recommend removing of kfreebsd-*
> >> binaries from testing. See
> >> http://bugs.debian.org./cgi-bin/bugreport.cgi?bug=660403#12
> >
> > That doesn't work. The choices would be removing the kfreebsd-*
> > binaries from unstable, and letting that propagate, or removing the
> > entire package from testing.
> 
> Is an upload needed in first case?

Is there anything that I can do helping with this?

Just for the record, the last time I tried to send kFreeBSD patches to
upstream, he refused on the basis that he wasn't able to test it on that
platform.


Regards,

-- 
Rogério Brito : rbrito@{ime.usp.br,gmail.com} : GPG key 4096R/BCFCAAAA
http://rb.doesntexist.org : Packages for LaTeX : algorithms.berlios.de
DebianQA: http://qa.debian.org/developer.php?login=rbrito%40ime.usp.br




Information forwarded to debian-bugs-dist@lists.debian.org, Optical Media Tools Team <pkg-opt-media-team@lists.alioth.debian.org>:
Bug#660403; Package src:cdparanoia. (Tue, 28 Feb 2012 21:12:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Optical Media Tools Team <pkg-opt-media-team@lists.alioth.debian.org>. (Tue, 28 Feb 2012 21:12:22 GMT) Full text and rfc822 format available.

Message #54 received at 660403@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Robert Millan <rmh@debian.org>
Cc: 660022@bugs.debian.org, debian-bsd@lists.debian.org, 660403@bugs.debian.org
Subject: Re: transition status
Date: Tue, 28 Feb 2012 21:07:53 +0000
On Sun, 2012-02-26 at 11:08 +0000, Robert Millan wrote:
> Btw, would a new freebsd-libs upload disrupt anything? A fix for
> #661274 is required, although this isn't a transition blocker AFAICT.

That rather depends on how long we think it's likely to take to get the
rest of the transition done, and whether britney's happy to migrate the
vlc binNMUs with the new source in unstable FTBFS.

The packages which have not been successfully rebuilt thus far are:

- cdparanoia - maintainers, are there plans for an upload to resolve
#660403?  If not, would you be averse to an NMU purely containing the
updated kBSD patch?

- mednafen, xine-lib - binNMUs now scheduled

Regards,

Adam





Information forwarded to debian-bugs-dist@lists.debian.org, Optical Media Tools Team <pkg-opt-media-team@lists.alioth.debian.org>:
Bug#660403; Package src:cdparanoia. (Tue, 28 Feb 2012 22:03:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rogério Brito <rbrito@ime.usp.br>:
Extra info received and forwarded to list. Copy sent to Optical Media Tools Team <pkg-opt-media-team@lists.alioth.debian.org>. (Tue, 28 Feb 2012 22:03:12 GMT) Full text and rfc822 format available.

Message #59 received at 660403@bugs.debian.org (full text, mbox):

From: Rogério Brito <rbrito@ime.usp.br>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>, 660403@bugs.debian.org
Cc: Robert Millan <rmh@debian.org>, 660022@bugs.debian.org, debian-bsd@lists.debian.org
Subject: Re: [Pkg-opt-media-team] Bug#660403: transition status
Date: Tue, 28 Feb 2012 18:59:40 -0300
Hi, Adam.

On Tue, Feb 28, 2012 at 18:07, Adam D. Barratt <adam@adam-barratt.org.uk> wrote:
> The packages which have not been successfully rebuilt thus far are:
>
> - cdparanoia - maintainers, are there plans for an upload to resolve
> #660403?  If not, would you be averse to an NMU purely containing the
> updated kBSD patch?

Feel free to go ahead. Let us get kFBSD in shape. I'm OK with a 0-day NMU.


Regards,

-- 
Rogério Brito : rbrito@{ime.usp.br,gmail.com} : GPG key 4096R/BCFCAAAA
http://rb.doesntexist.org : Packages for LaTeX : algorithms.berlios.de
DebianQA: http://qa.debian.org/developer.php?login=rbrito%40ime.usp.br




Information forwarded to debian-bugs-dist@lists.debian.org, Optical Media Tools Team <pkg-opt-media-team@lists.alioth.debian.org>:
Bug#660403; Package src:cdparanoia. (Tue, 28 Feb 2012 23:09:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Optical Media Tools Team <pkg-opt-media-team@lists.alioth.debian.org>. (Tue, 28 Feb 2012 23:09:09 GMT) Full text and rfc822 format available.

Message #64 received at 660403@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Rogério Brito <rbrito@ime.usp.br>
Cc: 660403@bugs.debian.org, Robert Millan <rmh@debian.org>, 660022@bugs.debian.org, debian-bsd@lists.debian.org
Subject: Re: [Pkg-opt-media-team] Bug#660403: transition status
Date: Tue, 28 Feb 2012 23:06:21 +0000
On Tue, 2012-02-28 at 18:59 -0300, Rogério Brito wrote:
> On Tue, Feb 28, 2012 at 18:07, Adam D. Barratt <adam@adam-barratt.org.uk> wrote:
> > The packages which have not been successfully rebuilt thus far are:
> >
> > - cdparanoia - maintainers, are there plans for an upload to resolve
> > #660403?  If not, would you be averse to an NMU purely containing the
> > updated kBSD patch?
> 
> Feel free to go ahead. Let us get kFBSD in shape. I'm OK with a 0-day NMU.

Thanks.  I'll look at that over the next couple of days or so.

Unfortunately the other two remaining binNMUs for the transition both
FTBFS; bugs on their way shortly.

Regards,

Adam





Information forwarded to debian-bugs-dist@lists.debian.org, Optical Media Tools Team <pkg-opt-media-team@lists.alioth.debian.org>:
Bug#660403; Package src:cdparanoia. (Wed, 29 Feb 2012 19:00:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Optical Media Tools Team <pkg-opt-media-team@lists.alioth.debian.org>. (Wed, 29 Feb 2012 19:00:09 GMT) Full text and rfc822 format available.

Message #69 received at 660403@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: 660022@bugs.debian.org
Cc: Rogério Brito <rbrito@ime.usp.br>, 660403@bugs.debian.org, Robert Millan <rmh@debian.org>, debian-bsd@lists.debian.org
Subject: Re: Bug#660022: [Pkg-opt-media-team] Bug#660403: transition status
Date: Wed, 29 Feb 2012 18:57:44 +0000
[Message part 1 (text/plain, inline)]
tag 660403 + pending
thanks

On Tue, 2012-02-28 at 23:06 +0000, Adam D. Barratt wrote:
> On Tue, 2012-02-28 at 18:59 -0300, Rogério Brito wrote:
> > On Tue, Feb 28, 2012 at 18:07, Adam D. Barratt <adam@adam-barratt.org.uk> wrote:
> > > The packages which have not been successfully rebuilt thus far are:
> > >
> > > - cdparanoia - maintainers, are there plans for an upload to resolve
> > > #660403?  If not, would you be averse to an NMU purely containing the
> > > updated kBSD patch?
> > 
> > Feel free to go ahead. Let us get kFBSD in shape. I'm OK with a 0-day NMU.
> 
> Thanks.  I'll look at that over the next couple of days or so.

As agreed, please find attached the diff for the NMU which I'll be
uploading shortly.

Regards,

Adam
[cdparanoia_660403_NMU.diff (text/x-patch, attachment)]

Added tag(s) pending. Request was from "Adam D. Barratt" <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Wed, 29 Feb 2012 19:00:10 GMT) Full text and rfc822 format available.

Reply sent to adam@adam-barratt.org.uk (Adam D. Barratt):
You have taken responsibility. (Wed, 29 Feb 2012 19:21:06 GMT) Full text and rfc822 format available.

Notification sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Bug acknowledged by developer. (Wed, 29 Feb 2012 19:21:06 GMT) Full text and rfc822 format available.

Message #76 received at 660403-close@bugs.debian.org (full text, mbox):

From: adam@adam-barratt.org.uk (Adam D. Barratt)
To: 660403-close@bugs.debian.org
Subject: Bug#660403: fixed in cdparanoia 3.10.2+debian-10.1
Date: Wed, 29 Feb 2012 19:17:14 +0000
Source: cdparanoia
Source-Version: 3.10.2+debian-10.1

We believe that the bug you reported is fixed in the latest version of
cdparanoia, which is due to be installed in the Debian FTP archive:

cdparanoia-dbg_3.10.2+debian-10.1_amd64.deb
  to main/c/cdparanoia/cdparanoia-dbg_3.10.2+debian-10.1_amd64.deb
cdparanoia_3.10.2+debian-10.1.debian.tar.gz
  to main/c/cdparanoia/cdparanoia_3.10.2+debian-10.1.debian.tar.gz
cdparanoia_3.10.2+debian-10.1.dsc
  to main/c/cdparanoia/cdparanoia_3.10.2+debian-10.1.dsc
cdparanoia_3.10.2+debian-10.1_amd64.deb
  to main/c/cdparanoia/cdparanoia_3.10.2+debian-10.1_amd64.deb
libcdparanoia-dev_3.10.2+debian-10.1_amd64.deb
  to main/c/cdparanoia/libcdparanoia-dev_3.10.2+debian-10.1_amd64.deb
libcdparanoia0_3.10.2+debian-10.1_amd64.deb
  to main/c/cdparanoia/libcdparanoia0_3.10.2+debian-10.1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 660403@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Adam D. Barratt <adam@adam-barratt.org.uk> (supplier of updated cdparanoia package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 29 Feb 2012 18:34:44 +0000
Source: cdparanoia
Binary: cdparanoia cdparanoia-dbg libcdparanoia0 libcdparanoia-dev
Architecture: source amd64
Version: 3.10.2+debian-10.1
Distribution: unstable
Urgency: medium
Maintainer: Optical Media Tools Team <pkg-opt-media-team@lists.alioth.debian.org>
Changed-By: Adam D. Barratt <adam@adam-barratt.org.uk>
Description: 
 cdparanoia - audio extraction tool for sampling CDs
 cdparanoia-dbg - audio extraction tool for sampling CDs (debug)
 libcdparanoia-dev - audio extraction tool for sampling CDs (development)
 libcdparanoia0 - audio extraction tool for sampling CDs (library)
Closes: 660403
Changes: 
 cdparanoia (3.10.2+debian-10.1) unstable; urgency=medium
 .
   * Non-maintainer upload with maintainer's consent.
   * Urgency "medium" for transition-related RC bug fix.
   * Fix FTBFS on kfreebsd caused by libcam API changes.  (Closes: #660403)
Checksums-Sha1: 
 6c1d9712bc98ce42dbb98a087f811d8b11828031 2272 cdparanoia_3.10.2+debian-10.1.dsc
 de2aaf7b9f830dcdcb99a46a296104bcd72d5af0 76321 cdparanoia_3.10.2+debian-10.1.debian.tar.gz
 3c74773277db8884b61d3ea828db04adddea85ed 43138 cdparanoia_3.10.2+debian-10.1_amd64.deb
 af88864747e34a69c3d5d9742aac2946534ab80c 14420 cdparanoia-dbg_3.10.2+debian-10.1_amd64.deb
 df44fb26f7586bf20c23337b985e2316b042a717 55336 libcdparanoia0_3.10.2+debian-10.1_amd64.deb
 c6f989b39703be4aabf466713595565e2147eb85 57118 libcdparanoia-dev_3.10.2+debian-10.1_amd64.deb
Checksums-Sha256: 
 e69cc9535ef03cd90760f89b8b06d99311b209eef9282d113ed8424bffd23213 2272 cdparanoia_3.10.2+debian-10.1.dsc
 19019f92b134ab925d78a1a55d48df060fc8812997c59d5af016f855a496a7b1 76321 cdparanoia_3.10.2+debian-10.1.debian.tar.gz
 ef5b8977a011c8f912b8faff974d858fd854dde38ab40e691216eb6956458852 43138 cdparanoia_3.10.2+debian-10.1_amd64.deb
 9618166dbbae5e5ba8d3cdcc9eeb7f3181f86d748539ef5d8aeedfea6ba8c232 14420 cdparanoia-dbg_3.10.2+debian-10.1_amd64.deb
 d068a7be28c91eb5fc24a4183cd5de15ab3088f185534f962d9e0d198394bc81 55336 libcdparanoia0_3.10.2+debian-10.1_amd64.deb
 98b93fff8a82d9218d7e5ea269aaac9c5d6173d92ec9ca48ff0175b4f37328be 57118 libcdparanoia-dev_3.10.2+debian-10.1_amd64.deb
Files: 
 9523435ffd5873588aad12610f858f65 2272 sound optional cdparanoia_3.10.2+debian-10.1.dsc
 4a44672f029979c1932823e7e194946a 76321 sound optional cdparanoia_3.10.2+debian-10.1.debian.tar.gz
 22e47e3755b63ed24b2cb611c9e6232c 43138 sound optional cdparanoia_3.10.2+debian-10.1_amd64.deb
 5e569c713059d7206b53271441a74cae 14420 debug extra cdparanoia-dbg_3.10.2+debian-10.1_amd64.deb
 59413f38128466a0f8361c72a96cef91 55336 libs optional libcdparanoia0_3.10.2+debian-10.1_amd64.deb
 cc3fd0b480b3acc892f1bbb49de0d48f 57118 libdevel optional libcdparanoia-dev_3.10.2+debian-10.1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBAgAGBQJPTnXYAAoJEMXOXcLFQs1Zoi4P/jy/v9T5bzF0JjiiAvs0wp0y
NabuiFm+BS6/mKPMRe1O07/NjEmow76rinB9siY+pJV2JQlCBe8TkuRSL9aT3vbL
Oo9OjbvqMo17ePrsidvvRArbSpbV4dTX3IyUe5sAWJFXN8zy0OoSE6YnLT/+pukV
qprhry/jUZM1hv/Leh3Fe0Wb9FbpHihoyYNuy2kWiKF3FkYf56OHcPZ0vQZST+nv
AZwPgDo5kLtc+VQKWTM2PRahKQmwiZi3BUEE4TnA3/VW0/Ecs+Tznq5EgPAfBSU9
JGOrkBljku4H2ONGh/Blym0UzuUt/iGjtyNZM6iyc/dk98pyzmCFGlmmLuIEAcLA
PEJn3wtxRTeS74jra8zcZY3t7OyfRIgXr/0ahZcTdzdMs19Hf9bp402eEQ4t0wtN
Zd7RcA5pqJNmgMXZH3Iwi1qfFO6aWvZvUrCJmc+YnUx682MHfNJ2ENVe3X370zSn
2zd1VLeq4l8VIUhnd37NjgMoLlRez8CK8F/P2YEKKCSi0WinTJFNbi9TP3lmdyTS
sSdaATPJpjpzdV4RmQqn1lfaHTPhUl8GaTI4vkNBdzaDZVwKU+xsiZlmbmERoBKI
3XeMffsiPiTXdUeYpGj9aY0y9CUct9Pva0GlVvxvRAq+rwUOUq4lt6FWw4uZBHp/
YlQXIifMKbYtRigkMxEO
=pBYb
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Optical Media Tools Team <pkg-opt-media-team@lists.alioth.debian.org>:
Bug#660403; Package src:cdparanoia. (Fri, 02 Mar 2012 20:51:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Optical Media Tools Team <pkg-opt-media-team@lists.alioth.debian.org>. (Fri, 02 Mar 2012 20:51:07 GMT) Full text and rfc822 format available.

Message #81 received at 660403@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Robert Millan <rmh@debian.org>, "Adam D. Barratt" <adam@adam-barratt.org.uk>, 660022@bugs.debian.org, debian-bsd@lists.debian.org, 660403@bugs.debian.org
Subject: Re: [Pkg-opt-media-team] Bug#660403: cdparanoia (Re: transition status)
Date: Fri, 2 Mar 2012 21:46:57 +0100
Hi,

El 25 de febrer de 2012 17:03, Rogério Brito <rbrito@ime.usp.br> ha escrit:
> Is there anything that I can do helping with this?

The only thing I can think of is sticking to versions of cdparanoia
supported by FreeBSD upstream
(http://www.freshports.org/audio/cdparanoia/).  However I can
understand this may be impractical.  Sorry that I can't suggest any
better solution.  The real fix is to persuade upstream of course...

> Just for the record, the last time I tried to send kFreeBSD patches to
> upstream, he refused on the basis that he wasn't able to test it on that
> platform.

I'd suggest to document this in the patch header (maybe this avoids
repeating this discussion FWIW).

Thanks!

-- 
Robert Millan




Information forwarded to debian-bugs-dist@lists.debian.org, Optical Media Tools Team <pkg-opt-media-team@lists.alioth.debian.org>:
Bug#660403; Package src:cdparanoia. (Fri, 02 Mar 2012 21:03:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Optical Media Tools Team <pkg-opt-media-team@lists.alioth.debian.org>. (Fri, 02 Mar 2012 21:03:07 GMT) Full text and rfc822 format available.

Message #86 received at 660403@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>
Cc: 660022@bugs.debian.org, debian-bsd@lists.debian.org, 660403@bugs.debian.org
Subject: Re: transition status
Date: Fri, 2 Mar 2012 21:58:46 +0100
El 28 de febrer de 2012 22:07, Adam D. Barratt
<adam@adam-barratt.org.uk> ha escrit:
> On Sun, 2012-02-26 at 11:08 +0000, Robert Millan wrote:
>> Btw, would a new freebsd-libs upload disrupt anything? A fix for
>> #661274 is required, although this isn't a transition blocker AFAICT.
>
> That rather depends on [...]

No worries, if there's a shade of doubt that bugfix can wait IMHO.

-- 
Robert Millan




Information forwarded to debian-bugs-dist@lists.debian.org, Optical Media Tools Team <pkg-opt-media-team@lists.alioth.debian.org>:
Bug#660403; Package src:cdparanoia. (Sat, 03 Mar 2012 16:09:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Optical Media Tools Team <pkg-opt-media-team@lists.alioth.debian.org>. (Sat, 03 Mar 2012 16:09:15 GMT) Full text and rfc822 format available.

Message #91 received at 660403@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>
Cc: 660022@bugs.debian.org, debian-bsd@lists.debian.org, 660403@bugs.debian.org
Subject: Re: transition status
Date: Sat, 3 Mar 2012 17:07:31 +0100
El 28 de febrer de 2012 22:07, Adam D. Barratt
<adam@adam-barratt.org.uk> ha escrit:
> The packages which have not been successfully rebuilt thus far are:
>
> - cdparanoia - maintainers, are there plans for an upload to resolve
> #660403?  If not, would you be averse to an NMU purely containing the
> updated kBSD patch?
>
> - mednafen, xine-lib - binNMUs now scheduled

AFAICS the only remaining issues are:

    freebsd-buildutils is only 8 days old. It must be 10 days old to go in.
    kfreebsd-kernel-headers is only 4 days old. It must be 10 days old
to go in.

Instead of waiting one more week, perhaps it'd make sense to force
migration of those two packages?  In both cases the majority of
changes in update have been tested in unstable for more than 10 days
already.

-- 
Robert Millan




Information forwarded to debian-bugs-dist@lists.debian.org, Optical Media Tools Team <pkg-opt-media-team@lists.alioth.debian.org>:
Bug#660403; Package src:cdparanoia. (Sat, 03 Mar 2012 16:21:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Optical Media Tools Team <pkg-opt-media-team@lists.alioth.debian.org>. (Sat, 03 Mar 2012 16:21:10 GMT) Full text and rfc822 format available.

Message #96 received at 660403@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Robert Millan <rmh@debian.org>
Cc: <660022@bugs.debian.org>, <debian-bsd@lists.debian.org>, <660403@bugs.debian.org>
Subject: Re: transition status
Date: Sat, 03 Mar 2012 16:19:18 +0000
On 03.03.2012 16:07, Robert Millan wrote:
> AFAICS the only remaining issues are:
>
>     freebsd-buildutils is only 8 days old. It must be 10 days old to 
> go in.
>     kfreebsd-kernel-headers is only 4 days old. It must be 10 days 
> old
> to go in.

Well, there's also freebsd-utils (5/10 days) and:

    out of date on kfreebsd-amd64: libcam0, libsbuf0, libsbuf0-udeb, 
libusb2, libusb2-udeb, libusbhid4 (from 8.3~svn229725-3)
    out of date on kfreebsd-i386: libcam0, libsbuf0, libsbuf0-udeb, 
libusb2, libusb2-udeb, libusbhid4 (from 8.3~svn229725-3)

The final uploads to make the latter go away were made earlier today, 
so I've asked for them to be decrufted.

> Instead of waiting one more week, perhaps it'd make sense to force
> migration of those two packages?  In both cases the majority of
> changes in update have been tested in unstable for more than 10 days
> already.

Oddly enough, we'd already had that idea... :)

Regards,

Adam




Information forwarded to debian-bugs-dist@lists.debian.org, Optical Media Tools Team <pkg-opt-media-team@lists.alioth.debian.org>:
Bug#660403; Package src:cdparanoia. (Sat, 03 Mar 2012 16:21:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Optical Media Tools Team <pkg-opt-media-team@lists.alioth.debian.org>. (Sat, 03 Mar 2012 16:21:12 GMT) Full text and rfc822 format available.

Message #101 received at 660403@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Robert Millan <rmh@debian.org>
Cc: "Adam D. Barratt" <adam@adam-barratt.org.uk>, 660022@bugs.debian.org, debian-bsd@lists.debian.org, 660403@bugs.debian.org
Subject: Re: transition status
Date: Sat, 3 Mar 2012 17:19:46 +0100
[Message part 1 (text/plain, inline)]
Robert Millan <rmh@debian.org> (03/03/2012):
> AFAICS the only remaining issues are:
> 
>     freebsd-buildutils is only 8 days old. It must be 10 days old to go in.
>     kfreebsd-kernel-headers is only 4 days old. It must be 10 days old
> to go in.
> 
> Instead of waiting one more week, perhaps it'd make sense to force
> migration of those two packages?  In both cases the majority of
> changes in update have been tested in unstable for more than 10 days
> already.

And the removal of out-of-date binaries, which Adam just requested.

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 01 Apr 2012 07:33:45 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 05:34:29 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.